<!DOCTYPE html>
<html lang="zh-tw">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>編輯廚房資料</title>

  <!-- 引入Bootstrap 5.0 CDN -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>

  <!-- jQuery CDN -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>
<body class="bg-light">
  <!-- 頂端工具列 -->
  <div id="header"></div>

  <div class="container vh-100">
    <!-- 預留頂端工具列下空間 -->
    <div style="height: 56px;"></div>
    <div class="mt-5 mx-auto" style="max-width: 700px;">
      <h1>編輯廚房資料</h1>
      <form class="mt-4" novalidate>
        <div class="form-floating mb-3">
          <input type="text" class="form-control" id="address" name="address" placeholder="地址" required>
          <label for="address" class="px-4 form-label">地址<span style="color: red;">*</span></label>
          <div id="addressFeedback" class="invalid-feedback">不能為空白或不是正確的地址</div>
        </div>
        <div class="form-floating mb-3">
          <input type="number" class="form-control" id="price" name="price" min="0" step="100" placeholder="每小時價錢" required>
          <label for="price" class="px-4 form-label">每小時價錢<span style="color: red;">*</span></label>
          <div id="addressFeedback" class="invalid-feedback">不能為空白</div>
        </div>
        <div class="d-flex justify-content-center">
          <button type="button" id="submit" class="btn btn-primary px-3">修改</button>
        </div>
      </form>
    </div>
  </div>

  <!-- Modal -->
  <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">選擇租用廚房</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <table class="table mt-3 bg-white">
            <thead>
              <tr>
                <td id="id">廚房編號</td>
                <td id="address">地址</td>
                <td id="price">每小時價位</td>
                <td></td>
              </tr>
            </thead>
            <tbody>
              <!-- 表格內容樣板 -->
              <tr id="tbody-template" class="d-none">
                <td id="id" class="align-middle"></td>
                <td id="address" class="align-middle"></td>
                <td id="price" class="align-middle"></td>
                <td class="align-middle">
                  <button id="select" class="btn btn-outline-primary px-3" data-bs-dismiss="modal">選擇</button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>

  <script src="/co_kitchen/statics/js/kitchen/edit.js"></script>
  <script src="/co_kitchen/statics/js/header.js"></script>
</body>
</html>